network-manager-openvpn (0.9.10.0-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control:
      + Have network-manager-openvpn recommend
        network-manager-openvpn-gnome | plasma-nm.
      + Drop Vcs-* fields.
  * debian/patches/gtk_table_to_gtk_grid.patch:
    - Drop, no longer applicable.
  * debian/patches/enable_ipv6.patch, debian/patches/support-ipv6-dns:
    - Drop, fixed upstream.
  * debian/control:
    - Recommend plasma-nm instead of plasma-widget-networkmanagement.

 -- Artur Rona <ari-tczew@ubuntu.com>  Thu, 29 Jan 2015 03:37:18 +0100

network-manager-openvpn (0.9.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac.
  * Drop obsolete --with-gtkver configure switch.
  * Refresh 01-export-user-nobody.patch.
  * Exclude libtool .la files from list-missing.

 -- Michael Biebl <biebl@debian.org>  Thu, 10 Jul 2014 07:41:44 +0200

network-manager-openvpn (0.9.8.4-2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Recommends: network-manager-openvpn-gnome or
      plasma-widget-networkmanagement.
    - Drop Vcs-* fields.
    - debian/patches/gtk_table_to_gtk_grid.patch: port GtkTable uses in vpn
      password dialog to a GtkGrid.
    - debian/patches/enable_ipv6.patch: Add IPv6 support. (LP: #777161)
    - debian/patches/support-ipv6-dns: Support IPv6 DNS.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 May 2014 17:31:01 -0400

network-manager-openvpn (0.9.8.4-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5.
  * Bump debhelper compatibility level to 9.
  * Fix install paths to be multi-arch aware.
  * Drop dbus reload from postinst. The dbus package uses a file trigger
    nowadays to automatically reload its configuration.
  * Rely on dh v9 to call dpkg-buildflags.

 -- Michael Biebl <biebl@debian.org>  Thu, 03 Apr 2014 23:29:09 +0200

network-manager-openvpn (0.9.8.4-1) unstable; urgency=low

  * New upstream release.
  * Remove 02-fix-path-to-connection-editor-plugin-in-service-file.patch,
    merged upstream.

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Sep 2013 19:52:43 +0200

network-manager-openvpn (0.9.8.2-1ubuntu4) trusty; urgency=medium

  * Fix IPv6 DNS support. Return IPv6 DNS servers are now passed to
    Network Manager and the list of domains is also now passed for both IPv4
    and IPv6 so that split DNS works as expected.

 -- Stéphane Graber <stgraber@ubuntu.com>  Thu, 06 Mar 2014 16:43:05 -0500

network-manager-openvpn (0.9.8.2-1ubuntu3) trusty; urgency=medium

  * debian/patches/enable_ipv6.patch: allow openvpn to tunnel IPv6.
    (LP: #777161)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 06 Mar 2014 11:58:16 -0500

network-manager-openvpn (0.9.8.2-1ubuntu2) saucy; urgency=low

  * Sync with Debian. Remaining changes:
    - Recommends: network-manager-openvpn-gnome or
      plasma-widget-networkmanagement.
    - Drop Vcs-* fields.
    - debian/patches/gtk_table_to_gtk_grid.patch: port GtkTable uses in vpn
      password dialog to a GtkGrid.
  * Dropped changes:
    - debian/patches/auth_dialog_libexecdir.patch: Applied in new version

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 10 Jun 2013 20:00:37 -0400

network-manager-openvpn (0.9.8.2-1) unstable; urgency=low

  * New upstream release.
  * Bump network-manager Build-Depends to (>= 0.9.8).
  * Fix path to connection-editor plugin in service file. Patch cherry-picked
    from upstream Git.
  * Use dh-autoreconf to update the build system.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Jun 2013 00:19:06 +0200

network-manager-openvpn (0.9.8.0-2) unstable; urgency=low

  * Mark binary packages as linux-any.
  * Upload to unstable.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 06 May 2013 18:03:37 +0200

network-manager-openvpn (0.9.8.0-1) experimental; urgency=low

  * New upstream release.
  * Use --list-missing to show uninstalled files.
  * Drop obsolete Breaks/Replaces.
  * 01-export-user-nobody.patch: When exporting an OpenVPN connection, use
    user nobody / group nogroup. Debian doesn't have a dedicated openvpn
    system account for this purpose. (Closes: #592527)

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Feb 2013 15:09:10 +0100

network-manager-openvpn (0.9.6.0-1) experimental; urgency=low

  * New upstream release.
  * Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.9.6).

 -- Michael Biebl <biebl@debian.org>  Sat, 27 Oct 2012 00:04:11 +0200

network-manager-openvpn (0.9.4.0-1) unstable; urgency=low

  * New upstream release.
  * Fix versioned Build-Depends on dpkg-dev.
    The buildflags.mk snippet was added in version 1.16.1, not 1.6.1.
  * Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.9.4).
  * Drop Build-Depends on libgconf2-dev.
  * Update debian/copyright using the machine-readable copyright format 1.0.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Sat, 24 Mar 2012 23:27:08 +0100

network-manager-openvpn (0.9.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.9.2).
  * Enable default hardening options from dpkg-buildflags.
    - Use buildflags.mk snippet in debian/rules.
    - Add Build-Depends on dpkg-dev (>= 1.6.1).

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Nov 2011 06:19:00 +0100

network-manager-openvpn (0.9.0-3) unstable; urgency=low

  * debian/watch: Track .xz tarballs.
  * Build against GTK 3.

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Oct 2011 08:53:47 +0200

network-manager-openvpn (0.9.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Fri, 16 Sep 2011 21:09:27 +0200

network-manager-openvpn (0.9.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.9).

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Aug 2011 15:29:05 +0200

network-manager-openvpn (0.8.999-1) experimental; urgency=low

  * New upstream release (0.9 rc2).

 -- Michael Biebl <biebl@debian.org>  Wed, 04 May 2011 23:54:48 +0200

network-manager-openvpn (0.8.998-1) experimental; urgency=low

  * New upstream release.
  * debian/control
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to
      (>= 0.8.998).
    - Bump Build-Depends on libgtk2.0-dev to (>= 2.20).
  * debian/rules
    - Build against GTK+ version 2.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 May 2011 01:04:35 +0200

network-manager-openvpn (0.8.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to (>= 0.8.4).
    - Bump Standards-Version to 3.9.2. No further changes.
    - Update package descriptions.
  * debian/watch
    - Switch to bzip2.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Apr 2011 17:16:03 +0200

network-manager-openvpn (0.8.3.995-1) unstable; urgency=low

  * New upstream release (0.8.4 beta1).
  * Bump debhelper compatibility level to 8.
  * debian/control
    - Drop Build-Depends on libglade2-dev, converted to GtkBuilder.
    - Bump Build-Depends on libnm-*-dev and network-manager-dev to
      (>= 0.8.3.995).

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Mar 2011 10:31:05 +0100

network-manager-openvpn (0.8.2-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2011 01:23:08 +0100

network-manager-openvpn (0.8.2-2) experimental; urgency=low

  * Switch from cdbs to dh
    - Drop Build-Depends on cdbs.
    - Bump Build-Depends on debhelper to (>= 7.0.50~) for override targets.
    - Convert debian/rules to use dh.
    - Rename debian/docs to debian/network-manager-openvpn.docs so it is
      correctly picked up by dh_installdocs.

 -- Michael Biebl <biebl@debian.org>  Wed, 22 Dec 2010 04:38:53 +0100

network-manager-openvpn (0.8.2-1) experimental; urgency=low

  * New upstream release.
  * Update Vcs-* fields: Move packaging from svn to git.
  * debian/control
    - Bump Build-Depends on libnm-* packages to (>= 0.8.2).

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Dec 2010 07:38:45 +0100

network-manager-openvpn (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
    - Remove debian/README.source.
  * debian/control
    - Bump Build-Depends on libnm-* packages to (>= 0.8.1).
    - Bump Standards-Version to 3.9.1. Use Breaks instead of Conflicts as
      recommended by the new policy.

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Jul 2010 14:14:38 +0200

network-manager-openvpn (0.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Bump Build-Depends on libnm-* packages to (>= 0.8).
    - Bump Standards-Version to 3.8.4. No further changes.
  * debian/network-manager-openvpn-gnome.install
    - Remove .desktop file and icons, no longer installed upstream.

 -- Michael Biebl <biebl@debian.org>  Mon, 22 Feb 2010 09:41:59 +0100

network-manager-openvpn (0.7.999-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Jan 2010 00:49:41 +0100

network-manager-openvpn (0.7.999-1) experimental; urgency=low

  * New upstream release (0.8 RC3).
  * debian/control
    - Bump Build-Depends on libnm-* packages to (>= 0.7.999).
    - Bump Build-Depends on libdbus-glib-1-dev to (>= 0.74).
  * debian/patches/03_allow_servercert_override.diff
    - Drop, does no longer apply and has been disabled for quite a while.

 -- Michael Biebl <biebl@debian.org>  Sat, 23 Jan 2010 01:07:20 +0100

network-manager-openvpn (0.7.2-1) unstable; urgency=low

  [ Soren Hansen ]
  * Remove myself from Uploaders.

  [ Michael Biebl ]
  * New upstream release.
  * debian/control
    - Bump build dependencies on nm packages to (>= 0.7.2).
    - Bump Standards-Version to 3.8.3. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 27 Nov 2009 10:12:21 +0100

network-manager-openvpn (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Apr 2009 16:50:50 +0200

network-manager-openvpn (0.7.0.99-1) unstable; urgency=low

  * New upstream release (0.7.1 rc3).

 -- Michael Biebl <biebl@debian.org>  Thu, 05 Mar 2009 13:35:17 +0100

network-manager-openvpn (0.7.0.97-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_dbus_policy.patch
    - Removed, merged upstream.
  * debian/control
    - Drop libgnomeui-dev from Build-Depends, no longer required.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Feb 2009 10:43:09 +0100

network-manager-openvpn (0.7.0-2) experimental; urgency=low

  * debian/control
    - Wrap build dependencies.
    - Bump build dependency on debhelper to (>= 7).
  * debian/compat
    - Bump to debhelper v7 compat mode.
  * debian/patches/01_dbus_policy.patch
    - Remove bare send_interface. (Closes: #510730)
  * debian/rules
    - Include gnome.mk cdbs class instead of autotools.mk.

 -- Michael Biebl <biebl@debian.org>  Sat, 14 Feb 2009 13:50:13 +0100

network-manager-openvpn (0.7.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control
    - Add Vcs-* fields pointing to the Subversion repository of the package.
    - Bump Standards-Version to 3.8.0. Add REAME.source as recommended by the
      new policy.
    - Fix GNOME spelling error in the package description.
    - Set Utopia Maintenance Team as Maintainer, add myself and Soren to
      Uploaders.
    - Add Homepage: field.
    - Update build dependencies.
    - Bump dependency on openvpn to (>= 2.1~rc9) for the --script-security
      option.
  * debian/rules
    - Do not run autogen.sh, the upstream tarball contains a proper build
      system now.
    - Install plugins into /usr/lib/NetworkManager, so NetworkManager can find
      them.
  * debian/*.install
    - Update accordingly.
  * Switch patch management system to quilt.
  * Drop obsolete patches
    - debian/patches/01_fix_dbus_signal_name.diff
    - debian/patches/02_fix_wrong_awk_path.diff
    - debian/patches/07_nm-openvpn-server-name.diff
  * Disable patches which do not apply cleanly anymore
    - debian/patches/03_allow_servercert_override.diff
    - debian/patches/04_increase_timeout.diff
    - debian/patches/06_pull_dns_domain.diff
  * debian/network-manager-openvpn.postinst
    - Do no longer restart NetworkManager, only tell dbus to reload the config
      files.
  * debian/watch
    - Add watch file which allows to track new upstream releases.
  * debian/copyright
    - Revised and updated.

 -- Michael Biebl <biebl@debian.org>  Mon, 15 Dec 2008 21:15:16 +0100

network-manager-openvpn (0.3.2svn2855-1) unstable; urgency=low

  * New SVN checkout (Closes: #444907)
  * Fixed wrong awk path (Closes: #421381)
  * Added libnm-util-dev to build-depends (Closes: #441188)
  * Split package into n-m-o and n-m-o-gnome (added Replaces and
    Conflicts accordingly) (Closes: #425126)
  * Pick up patches from Ubuntu (Thanks to Philipp Kern for collecting these!)
    - 03_allow_servercert_override.diff
      + Allow the user to turn off the check for a proper nsCertType=server
        extension bit set in the server's certificate.
    - 04_increase_timeout.diff
      + Increased the timeout before openvpn gets killed forcefully from 5s to
        15s.
    - 06_pull_dns_domain.diff
      + Pull DNS domain setting from remote OpenVPN server.
  * 06_pull_dns_domain.diff
    - Don't crash if the server doesn't provide us with a DNS domain.
  * Use /etc/init.d/network-manager instead of
    /etc/dbus/event.d/25NetworkManager.

 -- Soren Hansen <soren@ubuntu.com>  Tue, 02 Oct 2007 12:30:00 +0200

network-manager-openvpn (0.3.2svn2342-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #368748)

 -- Soren Hansen <sh@linux2go.dk>  Tue, 6 Mar 2007 15:50:48 +0100

